# Config.cmake.in
@PACKAGE_INIT@

include(CMakeFindDependencyMacro)

# 查找依赖
find_dependency(Java COMPONENTS Development)

if(@USE_OPENSSL@)
    find_dependency(OpenSSL REQUIRED)
endif()

# 导入目标
include("${CMAKE_CURRENT_LIST_DIR}/@PROJECT_NAME@Targets.cmake")

# 检查目标是否存在
check_required_components(@PROJECT_NAME@)